using System;

internal sealed class Delegate819 : MulticastDelegate
{
	public extern object Invoke(Type type_0, ushort ushort_0);

	public static object smethod_0(Type type_0, ushort ushort_0, Delegate819 delegate819_1)
	{
		return delegate819_1(type_0, ushort_0);
	}

	public extern Delegate819(object object_0, IntPtr intptr_0);

	static Delegate819()
	{
		Class10.smethod_13(typeof(Delegate819).TypeHandle);
	}

	internal static Delegate819 delegate819_0;
}
